org.apache.ignite.internal.sql.optimizer.affinity

## Class PartitionResultMarshaler

- java.lang.Object
- - org.apache.ignite.internal.sql.optimizer.affinity.PartitionResultMarshaler

    public class PartitionResultMarshaler
    extends Object

Marshaller that lets to serialize and deserialize partiton result for the purposes of jdbc thin client size best effort affinity.

### Constructor Summary

Constructors
Constructor and Description
`PartitionResultMarshaler()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `marshal(BinaryWriterExImpl writer, PartitionResult partRes)` Writes partition result to provided writer.
`static PartitionResult` `unmarshal(BinaryReaderExImpl reader)` Reads fields from provided reader.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PartitionResultMarshaler

    public PartitionResultMarshaler()

### Method Detail

#### marshal

    public static void marshal(BinaryWriterExImpl writer,
                               PartitionResult partRes)
                        throws BinaryObjectException

Writes partition result to provided writer.

Parameters:
  `writer` - Binary object writer.
  `partRes` - Partitoin result to serialize.
Throws:
  `BinaryObjectException` - In case of error.

#### unmarshal

    public static PartitionResult unmarshal(BinaryReaderExImpl reader)
                                     throws BinaryObjectException

Reads fields from provided reader.

Parameters:
  `reader` - Binary object reader.
Returns:
  Deserialized partition result.
Throws:
  `BinaryObjectException` - In case of error.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021